2011-02-27  Jim Huang  <jserv@0xlab.org>

	* configure.ac: Bump version to 0.3.4
	Bump libchewing dependency to version 0.3.3 (equal)

	* NEWS: ditto.

2010-08-26  Jim Huang  <jserv@0xlab.org>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event): Be aware of the "Keyboard
	Layout" setting in SCIM, Thus, users can use a French AZERTY or German
	QWERTZ without having to switch to a US layout beforehand.
	Patched by Matthieu Valleton <seeschloss@gmail.com>

2010-01-14  Jim Huang  <jserv@0xlab.org>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event): Fix the unexpected
	behavior on candidate phrases in Google search bar browsed by Firefox.
	Reported by Youchen Lee <youchen.lee@gmail.com>.
	NOTE: the workaround for OpenOffice might not fit anymore since the
	usage of GTK-IM API changes a lot.

2010-01-14  Jim Huang  <jserv@0xlab.org>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event): Release F1-F19 Keys.
	Patched by Youchen Lee <youchen.lee@gmail.com>.

2010-01-14  Jim Huang  <jserv@0xlab.org>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event): Added the support of
	"+-*/" keys on numpad.
	Patched by Youchen Lee <youchen.lee@gmail.com>.

2009-05-14  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event): Handle Enter and '.' in
	keypad.
	Patched by Sprite93@ptt.cc .

2009-01-24  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event): Handle 0-9 in keypad.

2008-12-09  Jim Huang  <jserv.tw@gmail.com>

	* po/nl.po: Update Nederlands translation contributed by
	Ronald Stroethoff <stroet43@zonnet.nl>.

2008-12-01  Jim Huang  <jserv.tw@gmail.com>

	* configure.ac: Bump version to 0.3.3
	Bump libchewing dependency to version 0.3.2 (equal)

2008-11-30  Kanru Chen  <kanru@kanru.info>

	* src/scim_chewing_imengine.cpp: Fix off-by-one bug.

2008-11-30  Kanru Chen  <kanru@kanru.info>

	* src/scim_chewing_imengine.cpp,
	src/scim_chewing_imengine.h: Set selection key correctly.

2008-11-30  Jim Huang  <jserv.tw@gmail.com>

	* po/zh_TW.po: Update translations.

2008-11-30  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.h (class ChewingIMEngineFactory)
	src/scim_chewing_config_entry.h
	(SCIM_CONFIG_IMENGINE_CHEWING_AUTO_SHIFT_CURSOR): Added entries for
	the feature: automatically shifting cursor after selection.

	* src/scim_chewing_imengine.cpp (ChewingIMEngineFactory::reload_conf),
	src/scim_chewing_imengine_setup.cpp (create_options_page)
	(setup_widget_value) (load_config) (save_config): Implemented.

2008-11-29  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine_setup.cpp
	(scim_setup_module_get_description): Fix typo.

	* po/zh_TW.po: Improve messages.

2008-11-29  Jim Huang  <jserv.tw@gmail.com>

	* po/zh_TW.po: Update translations.

2008-11-29  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.h (class ChewingIMEngineFactory),
	src/scim_chewing_config_entry.h
	(SCIM_CONFIG_IMENGINE_CHEWING_PHRASE_CHOICE_REARWARD): Added entries
	for the direction of phrase choice.

	* src/scim_chewing_imengine.cpp (ChewingIMEngineFactory::reload_conf),
	src/scim_chewing_imengine_setup.cpp (create_options_page)
	(setup_widget_value) (load_config) (save_config): Implemented.

2008-11-27  Kanru Chen  <kanru@kanru.info>

	* src/scim_chewing_imengine.cpp: Adapt the libchewing APIs.

2008-10-30  Jim Huang  <jserv.tw@gmail.com>

	* configure.ac: Specify the qualication of libchewing dependency
	version as "equal" instead of "larger than or equal" because of the
	fact that libchewing 0.3.x stands for development branch.  We intend
	to break API/ABI at the stage.

2008-10-25  Kanru Chen  <kanru@kanru.info>

	* src/scim_chewing_imengine.cpp,
	src/scim_chewing_imengine_setup.cpp: Remove hanyupinyin setting page. Now
	libchewing load the table from data directory or user data directory.

2008-10-19  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine_setup.cp (__config_keyboards):
	Fix Trigger key settings due to typo.
	RedHat bugzilla #206125, rt #23574

2008-10-18  Kanru Chen  <kanru@kanru.info>

	* src/scim_chewing_imengine.cpp: Proper include path.
	(ChewingIMEngineInstance::commit): Remove semi-colon after if statement.

2008-10-18  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine_setup.cpp (create_keyboard_page)
	(create_pinyin_config_page): Eliminate compilation warnings.

2008-10-18  Jeff Chen  <wiz.chen@gmail.com>

	* src/scim_chewing_imengine_setup.cpp:
	Fix the layout of keyboard setting page.

	* src/scim_chewing_imengine.h,
	  src/scim_chewing_imengine.cpp:
	Adapt the libchewing APIs.

2008-10-01  Kanru Chen  <kanru@kanru.info>

	* configure.ac: Make use of AC_CONFIG_AUX_DIR.

	* autotools: New directory containing files generated by autotools.

	* scripts/remove-autotool.sh: Likewise.

2008-10-01  Kanru Chen  <kanru@kanru.info>

	* configure.ac:
	Bump version to 0.3.2
	Bump libchewing dependency to version 0.3.1

2008-09-20  Kanru Chen  <kanru@kanru.info>

	* configure.ac:
	Bump version to 0.3.1.902
	Bump libchewing dependency to version 0.3.0.902

2008-09-20  Kanru Chen  <kanru@kanru.info>

	* configure.ac:
	Bump libchewing dependency to version 0.3.0.901

2008-07-07  Kanru Chen  <kanru@kanru.info>

	* src/scim_chewing_imengine.cpp:
	Corret candidate number setting.

2008-04-28  Caius Chance  <cchance@redhat.com>

	* src/scim_chewing_config_entry.h,
	src/scim_chewing_imengine.cpp,
	src/scim_chewing_imengine.h,
	src/scim_chewing_imengine_setup.cpp:
	Added Chinese/English mode fast switch on toolbar.
	Added Chinese/English mode initial preference in setup menus.
	Minor refactorization.

2008-04-09  Caius Chance  <cchance@redhat.com>

	* src/scim_chewing_imengine.cpp:
	Fixes texts pasting to preedit buffer (graphically only) in KDE4/Qt4.
	(Paste of texts will be ignored and cursor will be moved to the end of 
	 preedit buffer.)

2008-04-01  Jeff Chen  <wiz.chen@gmail.com>

	* src/scim_chewing_imengine_setup.cpp:
	The maximum value of SelectionKeysNum should be 10.
	Fix wrong layout parameters in keyboard page.

2008-03-22  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.cpp,
	src/scim_chewing_imengine_setup.cpp:
	Adapting g++-4.3 compatibility patch from Cyril Brulebois.

2008-02-05  Jeff Chen  <wiz.chen@gmail.com>

	* src/scim_chewing_imengine_setup.cpp:
	Use const char* for string literal.

	* src/scim_chewing_imengine.cpp:
	Typo fixed.

2008-02-03  Jeff Chen  <wiz.chen@gmail.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::trigger_property)
	(ChewingIMEngineInstance::refresh_kbtype_property):
	Correct some keyboard types
	(ChewingIMEngineInstance::match_key_event):
	Correct the missing increase operator.
	(ChewingIMEngineFactory::get_help):
	Add missing plus operators.

2008-01-16  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.cpp:
	Use the KB_* definition from zuin.h.

2008-01-16  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.cpp:
	Fix the missing plusses.

2008-01-08  Caius Chance  <cchance@redhat.com>

	* src/scim_chewing_imengine.cpp:
	* src/scim_chewing_imengine.h:
	Keyboard layout toggle button on toolbar.
	(Added a button for keyboard type change. It won't save to config 
	but just for input a character occasionally if such combination keys
	are suddenly forgotten.)

2007-12-20  Caius Chance  <cchance@redhat.com>

	* src/scim_chewing_imengine.cpp:
	Last candidate on lookup table is not a valid candidate.
	( Refit lookup table page size for last lookup page. i.e.
	m_lookup_table.set_page_size([last_page_candidate_amount]) )

2007-07-25  Jim Huang  <jserv.tw@gmail.com>

	* po/nl.po: New file.  Nederlands translation contributed by
	Ronald Stroethoff <stroet43@zonnet.nl>.

	* po/LINGUAS: Likewise.

2007-05-22  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_color_button.cpp,
	src/scim_color_button.h,
	src/scim_chewing_imengine_setup.cpp:
	s/ScimColorButton/ScimChewingColorButton/g .
	To avoid setup GUI modules not able to initialize due to naming
	pollution.  Reported by Yong Sun <Yong.Sun@Sun.COM>.

	* po/zh_TW.po: Fix translation item of "Han-Yu PinYin Keyboard".

2006-11-22  Caius Chance  <cchance@redhat.com>

        Release Page Up / Page Down key event to running applications.
        (Fixed Page Up / Page Down key doesn't work when Chewing is activated.)

        * src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event): Add redirection of 
	SCIM_KEY_Page_Up() and SCIM_KEY_Page_Down() to libchewing's
	chewing_handle_PageUp() and chewing_handle_PageDown(), which eventually
	pass page up and page down key event to running applications.

2006-11-16  Jim Huang  <jserv.tw@gmail.com>

	* src/Makefile.am: Added scim_chewing_config_entry.h and
	scim_chewing_imengine.h into chewing_la_SOURCES.

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::reload_config)
	(ChewingIMEngineInstance::update_lookup_table_page_size): Rename
	config.selectAreaLen to config.candPerPage .

	* configure.ac: Depends on libchewing 0.3.091 .
	Downgrade intltools from 0.35 to 0.34 .

	* AUTHORS: Updated.

2006-11-09  Caius Chance  <cchance@redhat.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::reset):
	Re-focus to clear preedit, to avoid gedit crash when select-all.

2006-10-30  Caius Chance  <cchance@redhat.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::reload_config):
	Esc key to clean all buffer couldn't be disabled.
	Esc clear all buffer was not functioning and setup page wasn't
	reflecting changes.

	* src/scim_chewing_imengine_setup.cpp
	(setup_widget_value): As Above

2006-10-30  Caius Chance  <cchance@redhat.com>

	* src/scim_chewing_imengine_setup.cpp
	  (__config_keyboards[]):
	Fixed trigger key "Control-Space".
	(It was recognised as "Space" because it was written "Ctrl-Space".)

2006-08-15  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.cpp
	  (ChewingIMEngineInstance::focus_out):
	Add chewing_handle_Esc() after committing to clear rest pre-edit
	buffer.

2006-06-19  Jeff Chen  <wiz.chen@gamil.com>

	* po/zh_TW.po: Updated.

	* src/scim_chewing_imengine.h:
	Add new members for selectable PinYin method.

	* src/scim_chewing_config_entry.h:
	Add new configurations to scim repository.
	  
	* src/scim_chewing_imengine.cpp 
	(ChewingIMEngineFactory::reload_config)
	(ChewingIMEngineInstance::reset),
	src/scim_chewing_imengine_setup.cpp
	(create_pinyin_config_page)
	(create_setup_window)
	(load_config) (save_config) (set_pinyin_typ)
	(on_builtin_pinyin_method_changed)
	(on_builtin_pinyin_method_toggled)
	(on_external_pinyin_method_changed):
	Add selectable PinYin method support.
	  
2006-05-30  Kanru Chen  <koster@debian.org.tw>

	* configure.ac: Bump version to 0.3.1.
	* po/ChangeLog: New file, used by intltool.
	* autogen.sh: Reordering the scripts.

2006-05-28  Kanru Chen  <koster@debian.org.tw>

	* configure.ac: Add IT_PROG_INTLTOOL which will include intltool.m4.
	Require intltool version 0.35.0 to use LINGUAS file.
	* autogen.sh: Reordering the scripts. Call aclocal after libtoolize and
	intltoolize.
	* po/LINGUAS: New file.

2006-05-21  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine_setup.cpp
	(setup_widget_value) (load_config) (save_config)
	(find_color_config_entry): Fixlet.
	There's no "end marker"	where the bg_key is False. This of course 
	causes invalid memory access thus crashing "scim-setup".
	Patched by Scott Tsai <scottt.tw@gmail.com>.

2006-05-18  Kanru Chen  <koster@debian.org.tw>

	* src/scimm_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event): Pass unknown input key event.

2006-05-16  Kanru Chen  <koster@debian.org.tw>

	* scrpits/remove-autotool.sh: Add config.status.lineno to removing
	list.

2006-05-15  Jim Huang  <jserv.tw@gmail.com>

	* configure.ac: Bump version to 0.3.0 (final).
	SCIM-chewing 0.3.x depends on libchewing 0.3.x series.

2006-05-15  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.h
	(m_selection_keys_num): New member for the number of selection keys.

	* src/scim_chewing_config_entry.h
	(SCIM_CHEWING_SELECTION_KEYS_NUM): Put key entry name instead of
	hard-coded constant.

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineFactory::reload_conf)
	(ChewingIMEngineInstance::ChewingIMEngine)
	(ChewingIMEngineInstance::reload_config)
	(ChewingIMEngineInstance::update_lookup_table_page_size)
	(ChewingIMEngineInstance::reset)
	(ChewingLookupTable::ChewingLookupTable) (ChewingLookupTable::init):
	Continue the previous work from Kanru Chen to be more complete.

	* src/scim_chewing_imengine_setup.cpp
	(create_keyboard_page) (create_keyboard_page) (setup_widget_value)
	(load_config) (save_config): Likewise.
	Complete SetupUI for customized selection keys and number.

	* po/zh_TW.po: Updated.

2006-05-15  Jim Huang  <jserv.tw@gmail.com>

	* configure.ac: Fill chewing-devel@googlegroups.com as contact
	address.
	
2006-05-13  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.cpp
	(ChewingLookupTable::init): Accpet custom selection keys.
	(ChewingIMEngineInstance::reset): Update selection keys.

2006-05-12  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::reset): Added suffix '\0'.

	* src/scim_chewing_imengine_setup.cpp
	(_builtin_selectmap): Reduced to char *builtin_selectkeys.
	(create_keyboard_page) (setup_widget_value) (save_config): Use
	fixed-length selection keys.

2006-05-12  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.h
	(m_default_KeyboardType): Rename to m_KeyboardType for better
	readability.
	(m_selection_keys): New member for selection keys.

	* src/scim_chewing_config_entry.h
	(SCIM_CONFIG_IMENGINE_CHEWING_SELECTION_KEYS): New macro. Default
	selection keys.

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineFactory::reload_conf)
	(ChewingIMEngineInstance::reload_config)
	(ChewingIMEngineInstance::reset),
	src/scim_chewing_imengine_setup.cpp
	(create_keyboard_page) (create_keyboard_page) (setup_widget_value)
	(load_config) (save_config): Implement customized selection keys, such
	as "123...", "asdf...", etc.

	* po/zh_TW.po: Updated.

2006-05-11  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key): Fixlet to use
	chewing_handle_ShiftSpace.

2006-05-10  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key): Toggle Full/Half shape via
	shift-space.

2006-05-10  Jim Huang  <jserv.tw@gmail.com>

	* configure.ac: Bump version to 0.2.92 .

2006-05-10  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_config_entry.h
	(SCIM_CONFIG_IMENGINE_CHEWING_PREEDIT_BGCOLOR_NUM): New macro.

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineFactory::reload_conf): Increment color index.
	(ChewingIMEngineInstance::commit): Cleanup.
	NOTE: Only the color setting of preedit area background is
	implemented.

	* src/scim_chewing_imengine_setup.cpp
	(create_color_button_page): Cleanup.
	TODO: Enable tooltip in create_color_button.

	* po/zh_TW.po: Improved.

2006-05-10  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_color_button.cpp,
	src/scim_color_button.h: New files. ScimColorButton implementation.

	* src/Makefile.am: Ditto.

	* src/scim_chewing_config_entry.h
	(SCIM_CONFIG_IMENGINE_CHEWING_PREEDIT_BGCOLOR_DEF_[1-5]): Default
	color index for preedit area background.

	* src/scim_chewing_imengine.cpp (chewing_preedit_bgcolor): Fill with
	default values.

	* src/scim_chewing_imengine_setup.cpp
	(config_color_common): New member for color index storage.
	(create_color_button) (on_color_button_changed)
	(find_color_config_entry): New function to handling color buttons.
	(create_setup_window): Added decorative color page.
	(setup_widget_value) (load_config) (save_config): Use ColorConfigData.

	* data/scim-chewing-swap-colors.png: New file. Indicate color
	swapping.

	* data/Makefile.am: Ditto.

2006-05-09  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.h
	(ChewingIMEngineFactory::m_preedit_bgcolor[]): New property. Used for
	storing preedit background color indexes.

	* src/Makefile.am: Added SCIM_CHEWING_LOCALEDIR.

	* src/scim_chewing_imengine.cpp
	(scim_module_init): Bind text domain.
	(ChewingIMEngineFactory::reload_config): Reload various preedit
	background color indexes for
	SCIM_CONFIG_IMENGINE_CHEWING_PREEDIT_BGCOLOR_ .
	(ChewingIMEngineFactory::get_help): Tweak help messages.

	* src/scim_chewing_imengine_setup.cpp (scim_module_init): Bind text
	domain.
	TODO: use ScimColorButton in SetupUI for customized color indexes.

	* po/zh_TW.po: Updated.

2006-05-08  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key): Fixlet to Caps Lock.

2006-05-08  Jim Huang  <jserv.tw@gmail.com>

	* scim-chewing.spec.in: Added rules for dependency checks.

2006-05-08  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::trigger_property): Fixlet to Full/Half shape
	trigger.

2006-05-08  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.cpp (_builtin_keymap): Fix typo of
	Han-Yu PinYin Keyboard.

2006-05-07  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key): Temporary workaround for
	avoiding crashes with shift key combinations.

2006-05-06  Jim Huang  <jserv.tw@gmail.com>

	* configure.ac: SCIM-chewing 0.2.91 depends on libchewing 0.2.93 .

2006-05-02  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.h
	(ChewingIMEngineFactory::m_esc_clean_all_buffer),
	src/scim_chewing_imengine.cpp (ChewingIMEngineFactory::reload_conf)
	(ChewingIMEngineInstance::reload_con):
	New property: m_esc_clean_all_buffer.
	Decide to assign Esc key to clean all keyboard buffer or not.

	* src/scim_chewing_imengine_setup.cpp (create_options_page)
	(load_config) (save_config): Implement UI for configure the above
	option.

	* po/scim-chewing.pot,
	po/zh_TW.po: Update gettext message template and zh_TW translation.

	* configure.ac: Bump version to 0.2.91 .

2006-04-29  Jim Huang  <jserv.tw@gmail.com>

	* src/scim_chewing_imengine.cpp
	(builtin_keymaps): Rename KB_HANYU_PINYING to KB_HANYUPINYIN to fit
	SVN HEAD libchewing changes.

2006-03-23  Jim Huang  <jserv.tw@gmail.com>

	* src/Makefile.am: Trivial change for libtool symbols.

2005-12-07  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.cpp:
	Use new buffer size.

2005-12-07  Kanru Chen  <koster@debian.org.tw>
	
	* configure.ac: Use SVN HEAD libchewing.

	* src/scim_chewing_imengine.cpp:
	Add Full/Half shape property.
	Use new API.

2005-10-10  Jim Huang  <jserv@kaffe.org>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::~ChewingIMEngineInstance): Add
	TerminateChewing API call.

2005-08-08  Jim Huang  <jserv@kaffe.org>

	* configure.ac: Bump version to 0.2.1 .
	SCIM/Chewing now depends on libchewing 0.2.7 .

	* NEWS: Updated.

2005-04-24  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event):
	Fix CtrlNum failure.

2005-04-17  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event):
	Handle key mask to make working under SCIM 1.2.1 .
	(ChewingIMEngineInstance::commit):
	Validate the content in lookup table.

2005-03-20 Jim Huang  <jserv@kaffe.org>

	* src/scim_chewing_imengine.h
	(class ChewingIMEngineFactory),
	src/scim_chewing_config_entry.h:
	New member for SpaceAsSelection to decide if perform old style
	of space key.

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineFactory::reload_config),
	(ChewingIMEngineInstance::reload_config),
	src/scim_chewing_imengine_setup.cpp
	(create_options_page), (setup_widget_value), 
	(load_config), (save_config):
	Support the switch of the above option.
	
2005-03-18  Kanru Chen  <koster@debian.org.tw>

	* scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::trigger_property):
	Use trigger_property to change the chi/eng mode, so we can use
	property button to change the mode.
	
2005-03-18  Kanru Chen  <koster@debian.org.tw>

	* scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::commit):
	Make Zuin output much pretty and readable.

2005-02-28  Jim Huang  <jserv@kaffe.org>

	* configure.ac:
	Bump version to 0.2.0.
	Depends on libchewing 0.2.6 (and above).
	clean up version definition macros.
	
	* scim-chewing.spec.in:
	Fix package version definition.

2005-02-25  Kanru Chen  <koster@debian.org.tw>
	
	* src/scim_chewing_config_entry.h:
	Fix typo.

2005-02-24  Jim Huang  <jserv@kaffe.org>

	* src/scim_chewing_imengine_setup.cpp:
	Handle the keyboard mapping configuration with translated
	message.

	* po/zh_TW.po:
	Updated with keyboard mapping message.

2005-02-24  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_config_entry.h,
	src/scim_chewing_imengine_setup.cpp:
	Remove unused SCIM_CONFIG_IMENGINE_CHEWING_USE_DVORAK

	* src/scim_chewing_imengine.cpp,
	src/scim_chewing_imengine.h:
	New function: ChewingIMEngineFactory::reload_config,
	reorder initialize sequence, save config data in Factory.
	After scim-setup, changes can immediately be reloaded.

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineFactory::get_help):
	Fill help messages.
	(ChewingIMEngineInstance::select_candidate):
	Now we can use mouse to select the candidate.
	(ChewingIMEngineInstance::commit):
	Pass correct length to iconv. (fix rt#7503)
	Use different foreground color to highlight phrases.

2005-02-21  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.cpp
	(reload_config):
	Let selectAreaLen have correct value.

2005-02-21  Jim Huang  <jserv@kaffe.org>

	* src/scim_chewing_imengine.h,
	src/scim_chewing_config_entry.h,
	src/scim_chewing_imengine.cpp,
	src/scim_chewing_imengine_setup.cpp:
	Bump copyright date.

	* src/scim_chewing_imengine_setup.cpp:
	Fix intl macro.

	* po/zh_TW.po:
	Update zh_TW translation to adapt recent SetupIM changes.
	
2005-02-20  Kanru Chen  <koster@debian.org.tw>

	* po/scim-chewing.pot,
	po/zh_TW.po:
	Update gettext message template and zh_TW translation.

	* src/scim_chewing_imengine.h,
	src/scim_chewing_imengine.cpp:
	Add ChiEngMode property, functionality to show current mode is
	Chinese Mode or English Mode.
	
	* src/scim_chewing_imengime_setup.cpp:
	New chewing keyboard type - KB_HANYU_PINYING.

2005-02-07  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.h,
	src/scim_chewing_imengine.cpp (ChewingIMEngineInstance::commit):
	Add functionality to show phrase interval using fonts decorated by
	underline, caret by highlight fonts, and Zuin symbol after the
	specific caret.

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::match_key_event):
	New method. Make checking keys more convenient.
	
2005-02-06  Kanru Chen  <koster@debian.org.tw>

	* src/scim_chewing_imengine.cpp,
	src/scim_chewing_imengine_setup.cpp:
	Initial working SetupUI. Support USER_KB_TYPE entry.

2004-12-21  Jim Huang  <jserv@kaffe.org>

	* configure.ac:
	Bump version to 0.1.1

2004-12-15  Jim Huang  <jserv@kaffe.org>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineInstance::process_key_event):
	Add a workaround against the known issue in OpenOffice with
	GTK+ im module hanlding key pressed/released events.

2004-12-14  Jim Huang  <jserv@kaffe.org>

	* src/scim_chewing_imengine.cpp
	(ChewingIMEngineFactory::init):
	Replace scim_get_home_dir() with CHEWING_DATADIR (prefix) for
	consistency.
	(ChewingIMEngineFactory::validate_encoding),
	(ChewingIMEngineFactory::validate_locale):
	Implemented.
	(ChewingIMEngineInstance::reload_config):
	Handle evil Null character in C-style string.

2004-12-07  Jim Huang  <jserv@kaffe.org>

	* src/scim_chewing_imengine.cpp:
	Remove the implementation of the invalid methods,
	ChewingIMEngineFactory::validate_encoding and
	ChewingIMEngineFactory::validate_locale. Just use the ones 
	derived	from base class according to the advice of James Su.

2004-11-30  Jim Huang  <jserv@kaffe.org>

	* First working snapshot.
	* Adapt the codebase from Kanru Chen.
